package com.example.sncfapp;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.Spinner;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

public class MainActivity extends AppCompatActivity implements AdapterView.OnItemSelectedListener {
    private Spinner spinnerfrom, spinnerto;
    Button btn_send;
    private static final String[] paths = {"75056", "76540", "76351", "13055", "69123","31555","06088","44109","67482","59350","72181"};
    private String from, to;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        //
        from = "";
        to = "";
        //--------------------------------------------
        btn_send = findViewById(R.id.btn_send);
        spinnerfrom = (Spinner)findViewById(R.id.sipnner_from);
        spinnerto = (Spinner)findViewById(R.id.sipnner_to);
        //--------------------------------------------
        ArrayAdapter<String>adapterfrom = new ArrayAdapter<String>(MainActivity.this, android.R.layout.simple_spinner_item,paths);
        adapterfrom.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        ArrayAdapter<String>adapterto = new ArrayAdapter<String>(MainActivity.this, android.R.layout.simple_spinner_item,paths);
        adapterto.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        //--------------------------------------------
        spinnerfrom.setAdapter(adapterfrom);
        spinnerfrom.setOnItemSelectedListener(this);
        //----------------
        spinnerto.setAdapter(adapterto);
        spinnerto.setOnItemSelectedListener(this);
    }


    @Override
    public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
        Spinner spinfrom = (Spinner)parent;
        Spinner spinto = (Spinner)parent;
        if(spinfrom.getId() == R.id.sipnner_from){
            Log.v("item", "from : "+(String) parent.getItemAtPosition(position));
            from = (String) parent.getItemAtPosition(position);
        }
        if(spinto.getId() == R.id.sipnner_to){
            Log.v("item","to : "+ (String) parent.getItemAtPosition(position));
            to = (String) parent.getItemAtPosition(position);
        }

        btn_send.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if(!from.equals(to)){
                    Intent intent = new Intent(getBaseContext(), DataActivity.class);
                    intent.putExtra("from", from);
                    intent.putExtra("to", to);
                    startActivity(intent);
                }else{
                    Toast.makeText(v.getContext(), "Your origin and destination points are the same", Toast.LENGTH_SHORT).show();
                }
            }
        });
    }

    @Override
    public void onNothingSelected(AdapterView<?> parent) {
        Toast.makeText(this, "Choose cities :", Toast.LENGTH_SHORT).show();
    }
}
